using MiniExcelLibs.Attributes;

namespace Hotline.KnowledgeBase
{
    public class KnowledgeImportTemplate
    {
        /// <summary>
        /// 知识归属
        /// </summary>
        [ExcelColumnName("知识归属(中心知识库/部门知识库)")]
        public string? Attribution { get; set; }

        [ExcelColumnName("一级分类")]
        public string? KnowledgeTypeLevelOne { get; set; }

        //[ExcelColumnName("二级分类")]
        //public string? KnowledgeTypeLevelTwo { get; set; }

        //[ExcelColumnName("三级分类")]
        //public string? KnowledgeTypeLevelThree { get; set; }

        [ExcelColumnName("失效时间")]
        public DateTime? ExpiredTime { get; set; }

        /// <summary>
        /// 是否公开
        /// </summary>
        [ExcelColumnName("是否公开(是/否)")]
        public string IsPublic { get; set; }

        //[ExcelColumnName("热点分类")]
        //public string? HotspotName { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [ExcelColumnName("标题")]
        public string Title { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [ExcelColumnName("内容")]
        public string Content { get; set; }
    }
}